classification
Title: Remove dynload_dl.c
Type: Stage: resolved
Components: Interpreter Core Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, kadler, vstinner
Priority: normal Keywords: patch

Created on 2020-10-13 23:57 by kadler, last changed 2020-10-29 14:16 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 22687 merged kadler, 2020-10-14 00:02
PR 23023 merged vstinner, 2020-10-29 10:50
Messages (5)
msg378586 - (view) Author: Kevin (kadler) * Date: 2020-10-13 23:57
dynload_dl.c is no longer referenced anywhere in the code. It was used to support dynamic loading on IRIX 4 and DYNIX, but those platforms were dropped in https://github.com/cpython/cpython/commit/b9949dbe6c20537b7821f25fc1eeb4e7f3faabff. Considering that commit removes all references to dynload_dl, I suspect it was an oversight that it was not removed in that commit.
msg378587 - (view) Author: Kevin (kadler) * Date: 2020-10-13 23:59
Sorry, the correct link is https://github.com/python/cpython/commit/b9949dbe6c20537b7821f25fc1eeb4e7f3faabff
msg378594 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2020-10-14 01:49
New changeset 0cafcd3c56c9475913d8d4fd0223c297dbb70ac6 by Kevin Adler in branch 'master':
closes bpo-42029: Remove dynload_dl (GH-22687)
https://github.com/python/cpython/commit/0cafcd3c56c9475913d8d4fd0223c297dbb70ac6
msg378611 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-10-14 09:51
Poor IRIX platform :-( Not so long ago (2 years ago?), the bitesnake service provided IRIX machines!
msg379875 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-10-29 14:16
New changeset 5776663675b48f011d428a5874cc3c79d1deb59e by Victor Stinner in branch 'master':
bpo-42029: Remove IRIX code (GH-23023)
https://github.com/python/cpython/commit/5776663675b48f011d428a5874cc3c79d1deb59e
History
Date User Action Args
2020-10-29 14:16:43vstinnersetmessages: + msg379875
2020-10-29 10:50:16vstinnersetpull_requests: + pull_request21937
2020-10-14 09:51:09vstinnersetnosy: + vstinner
messages: + msg378611
2020-10-14 01:49:32benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg378594

resolution: fixed
stage: patch review -> resolved
2020-10-14 00:02:02kadlersetkeywords: + patch
stage: patch review
pull_requests: + pull_request21657
2020-10-13 23:59:09kadlersetmessages: + msg378587
2020-10-13 23:57:55kadlercreate